summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Patrick Pippen2011-03-05 11:42:41 +0100
committer Niels Horn2011-03-05 11:42:41 +0100
commit5e6912959c354891fdbe70331cbe1a1ae9b3486b (patch)
treefc16d27c71d6a8748f8f6de7cab0d2b8fa3026c2
parent1ecf929173d184a8e66188524cbb1a95c8bcd38e (diff)
downloadslackbuilds-5e6912959c354891fdbe70331cbe1a1ae9b3486b.tar.gz
libraries/zeromq: Added (lightweight messaging kernel library)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--libraries/zeromq/README6
-rw-r--r--libraries/zeromq/slack-desc19
-rw-r--r--libraries/zeromq/zeromq.SlackBuild84
-rw-r--r--libraries/zeromq/zeromq.info10
4 files changed, 119 insertions, 0 deletions
diff --git a/libraries/zeromq/README b/libraries/zeromq/README
new file mode 100644
index 0000000000..fd4dccb76a
--- /dev/null
+++ b/libraries/zeromq/README
@@ -0,0 +1,6 @@
+The 0MQ lightweight messaging kernel is a library which extends the
+standard socket interfaces with features traditionally provided by
+specialised messaging middleware products. 0MQ sockets provide an
+abstraction of asynchronous message queues, multiple messaging patterns,
+message filtering (subscriptions), seamless access to multiple transport
+protocols and more.
diff --git a/libraries/zeromq/slack-desc b/libraries/zeromq/slack-desc
new file mode 100644
index 0000000000..434b1e8f48
--- /dev/null
+++ b/libraries/zeromq/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+zeromq: zeromq (lightweight messaging kernel library)
+zeromq:
+zeromq: Zeromq lightweight messaging kernel is a library which extends the
+zeromq: standard socket interfaces with features traditionally provided by
+zeromq: specialised messaging middleware products. 0MQ sockets provide an
+zeromq: abstraction of asynchronous message queues, multiple messaging
+zeromq: patterns message filtering (subscriptions), seamless access to
+zeromq: multiple transport protocols and more.
+zeromq:
+zeromq:
+zeromq:
diff --git a/libraries/zeromq/zeromq.SlackBuild b/libraries/zeromq/zeromq.SlackBuild
new file mode 100644
index 0000000000..5a8c0ef2c7
--- /dev/null
+++ b/libraries/zeromq/zeromq.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh -e
+
+# Slackware build script for Zeromq
+
+# Written by Patrick Pippen (dabittweiler@gmail.com)
+
+PRGNAM=zeromq
+VERSION=${VERSION:-2.1.0}
+BUILD=${BUILD:-1_plp}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/ $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/zeromq/zeromq.info b/libraries/zeromq/zeromq.info
new file mode 100644
index 0000000000..0926bb86d1
--- /dev/null
+++ b/libraries/zeromq/zeromq.info
@@ -0,0 +1,10 @@
+PRGNAM="zeromq"
+VERSION="2.1.0"
+HOMEPAGE="http://www.zeromq.org/"
+DOWNLOAD="http://download.zeromq.org/zeromq-2.1.0.tar.gz"
+MD5SUM="8b05003a5c65ca934d9d909834a04bee"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Patrick Pippen"
+EMAIL="dabittweiler@gmail.com"
+APPROVED="Niels Horn"